// some sprites from https://github.com/malcolmriley/unused-textures
StartupEvents.registry("block", event => {
    event.create("crushed_scorchia", "falling")
        .displayName("Crushed Scorchia")
        .hardness(1.0)
        .resistance(1)
        .requiresTool(false)
        .tagBlock("mineable/shovel")
        .soundType("sand");
    event.create("crushed_netherrack", "falling")
        .displayName("Crushed Netherrack")
        .hardness(1.0)
        .resistance(1)
        .requiresTool(false)
        .tagBlock("mineable/shovel")
        .soundType("sand");
});
StartupEvents.registry("fluid", event => {
    event.create("molten_wax")
        .stillTexture("kubejs:fluid/molten_wax_still")
        .flowingTexture("kubejs:fluid/molten_wax_flow")
        .bucketColor(0xc39a49)
        .displayName("Molten Wax");
});
StartupEvents.registry("item", event => {
    event.create("pollen")
        .tooltip("Can be used on grass for a 10% chance to grow a random flower")
        .displayName("Pollen");
    event.create("wax")
        .displayName("Wax")
        .tag("kubejs:wax");
    event.create("comb_base")
        .displayName("Empty Comb")
        .texture("kubejs:item/comb_base");
    event.create("incomplete_printed_silicon", "create:sequenced_assembly")
        .displayName("Incomplete Printed Silicon")
        .texture("ae2:item/printed_silicon");
    event.create("incomplete_printed_calculation_processor", "create:sequenced_assembly")
        .displayName("Incomplete Printed Calculation Circuit")
        .texture("ae2:item/printed_calculation_processor");
    event.create("incomplete_printed_logic_processor", "create:sequenced_assembly")
        .tooltip("§8§oMade one by accident? Put it in a crafting grid to turn it back into a gold plate.")
        .displayName("Incomplete Printed Logic Circuit")
        .texture("ae2:item/printed_logic_processor");
    event.create("incomplete_printed_engineering_processor", "create:sequenced_assembly")
        .displayName("Incomplete Printed Engineering Circuit")
        .texture("ae2:item/printed_engineering_processor");

    event.create("kelp_wing")
        .tooltip("A wing made from kelp. Seems rather fragile.")
        .displayName("Kelp Wing");
    event.create("incomplete_wing", "create:sequenced_assembly")
        .displayName("Incomplete Wing");
    event.create("wing")
        .tooltip("A wing fit for flight.")
        .displayName("Elytra Wing");

    event.create("incomplete_record", "create:sequenced_assembly")
        .displayName("Incomplete Music Disc");

    event.create("incomplete_gapple", "create:sequenced_assembly")
        .displayName("Incomplete Enchanted Golden Apple")
        .texture("minecraft:item/golden_apple");

    event.create("crushed_raw_cobalt")
        .displayName("Crushed Raw Cobalt");
});